cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vadim Gritsenko" <vadim.gritse...@verizon.net>
Subject RE: Cocoon startup problem
Date Mon, 03 Jun 2002 21:08:51 GMT
> From: Hutchins, Richard [mailto:Richard.Hutchins@GetingeCastle.com]
> 
> I am using SDK 1.4.0 and Tomcat 4.0.3. I just installed Cocoon 2.0.1
on a
> Windows 2000 machine as the directions indicate, but I get a fatal
error
> (language exception) in the browser (IE 5.5) each time I try to access
> cocoon through localhost:8080. Not really sure how this list works, so
I
> have attached the error.log.000001 file in hopes that it would point
to the
> specific problem. The beginning of the internal server error appears
below:
> 
> type fatal
> message Language Exception
> description org.apache.cocoon.ProcessingException: Language Exception:
> org.apache.cocoon.components.language.LanguageException: Error
compiling
> sitemap_xmap: Line 0, column 0: could not parse error message: error:
> Invalid class file format in
> C:\j2sdk1.4.0\jre\lib\rt.jar(java/io/OutputStream.class). The
major.minor
> version '48.0' is too recent for this tool to understand. C:\Program
> Files\Apache Tomcat
>
4.0\work\localhost\cocoon\cocoon-files\org\apache\cocoon\www\sitemap_xma
p.ja
> va:12: Class java.io.OutputStream not found in import. import
> java.io.OutputStream; ^ Line 0, column 0: could not parse error
message:
> error: Invalid class file format in C:\j2sdk1.4.0\jre\lib\rt.jar

You are using old tool with the new libraries.

'Old' here is JDK 1.3.1 or earlier, 'tool' is tools.jar (or javac.jar),
'new libraries' is rt.jar from JDK 1.4.

Correct the error (use either older JDK or newer javac) and try again.

PS javac.jar is located in the cocoon.war/WEB-INF/lib in the webapp, or
in xml-cocoon/lib/ in source distribution.

Vadim


> 
> and so on and so on...
> 
> I'm no pro, but judging from the plain English at the beginning of the
> error, it would seem that Cocoon does not work with the 1.4.0
distribution
> of the SDK.
> 
> If anybody else has encountered this, I'd appreciate any suggestions.
I'd
> hate to think that I have to step backwards to SDK 1.3.x to actually
use
> Cocoon.
> 
> Rich Hutchins
>  <<error.log.000001>>


---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


Mime
View raw message